# Class PerspectiveExtensionReader

java.lang.Object
org.eclipse.ui.internal.registry.RegistryReader
org.eclipse.ui.internal.PerspectiveExtensionReader

public class PerspectiveExtensionReader extends org.eclipse.ui.internal.registry.RegistryReader
A strategy to read perspective extension from the registry. A pespective extension is one of a view, viewAction, perspAction, newWizardAction, or actionSet.

## Constructor Summary

Constructors
Constructor
Description
`PerspectiveExtensionReader()`
PerspectiveExtensionReader constructor..

## Method Summary

Modifier and Type
Method
Description
`void`
`extendLayout(IExtensionTracker extensionTracker, String id, org.eclipse.ui.internal.e4.compatibility.ModeledPageLayout out)`
Read the view extensions within a registry.
`protected boolean`
`readElement(IConfigurationElement element)`
Implement this method to read element's attributes.
`void`
`setIncludeOnlyTags(String[] tags)`
Sets the tags to include.

### Methods inherited from class org.eclipse.ui.internal.registry.RegistryReader

`getClassValue, getDescription, logError, logMissingAttribute, logMissingElement, logUnknownElement, orderExtensions, readElementChildren, readElements, readExtension, readRegistry`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PerspectiveExtensionReader

public PerspectiveExtensionReader()
PerspectiveExtensionReader constructor..

## Method Details

### extendLayout

public void extendLayout(IExtensionTracker extensionTracker, String id, org.eclipse.ui.internal.e4.compatibility.ModeledPageLayout out)
Read the view extensions within a registry.

Parameters:
  `extensionTracker` - the tracker
  `id` - the id
  `out` - the layout

### readElement

protected boolean readElement(IConfigurationElement element)
Description copied from class: `org.eclipse.ui.internal.registry.RegistryReader`
Implement this method to read element's attributes. If children should also be read, then implementor is responsible for calling `readElementChildren`. Implementor is also responsible for logging missing attributes.

Specified by:
  `readElement` in class `org.eclipse.ui.internal.registry.RegistryReader`
Returns:
  true if element was recognized, false if not.

### setIncludeOnlyTags

public void setIncludeOnlyTags(String[] tags)
Sets the tags to include. All others are ignored.

Parameters:
  `tags` - the tags to include